Name:           kshutdown
Version:        3.2
Release:        3%{?dist}
Summary:        Graphical shutdown utility for KDE 4
License:        GPLv2
URL:            http://kshutdown.sourceforge.net/
# Package from svn snapshots, create example:
# svn export http://svn.code.sf.net/p/kshutdown/code/trunk/kshutdown2 kshutdown-3.0
# tar -cJvf kshutdown-3.0.tar.xz kshutdown-3.0
Source0:        http://sourceforge.net/projects/%{name}/files/KShutdown/%{version}/%{name}-source-%{version}.zip
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel

%description
KShutdown is a graphical shutdown utility which allows you to turn off
or suspend computer at the specified time. It features various time and delay 
options, command line support, and notifications.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde --all-name

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kshutdown.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc ChangeLog LICENSE TODO
%{_kde4_bindir}/kshutdown
%{_kde4_datadir}/kde4/apps/kshutdown/extras/*
%{_kde4_datadir}/kde4/apps/kshutdown/kshutdown.notifyrc
%{_kde4_datadir}/applications/kde4/kshutdown.desktop
%{_kde4_datadir}/icons/hicolor/*/apps/kshutdown.png
%{_kde4_datadir}/icons/hicolor/*/apps/kshutdown.svgz

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Feb 23 2014 Jan Grulich <jgrulich@redhat.com> - 3.2-1
- update to 3.2

* Sat Aug 03 2013 Jan Grulich <jgrulich@redhat.com> - 3.0-1
- update to 3.0

* Wed Jun 19 2013 Jan Grulich <jgrulich@redhat.com> - 3.0-0.3.beta8
- update to 3.0beta8

* Sun May 26 2013 Jan Grulich <jgrulich@redhat.com> - 3.0-0.2.beta7
- update to 3.0beta7

* Sat Feb 16 2013 Jan Grulich <jgrulich@redhat.com> - 3.0-0.1.beta6
- update to 3.0beta6

* Thu Aug 23 2007 Chitlesh Goorah  <chitlesh [AT] fedoraproject DOT org> - 1.0.1-1
- mass rebuild for fedora 8 - BuildID

* Fri Apr 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-3
- bug fixing #241019 for gnome

* Fri Apr 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-2
- patched the default values to allow user permissions on actions
- added 64x64 and 128x128 png icons so that kshutdown looks beautiful on katapult

* Fri Apr 20 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-1
- New upstream release

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.9.1beta-2
- bug fix #224430

* Wed Jan 10 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.9.1beta-1
- New upstream development release 0.9.1beta
- Dropped fedora vendor
- Minor fixes in the spec files
- Fixed absolute paths

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.8.2-5
- Added %%{?dist}

* Wed Aug 23 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.8.2-4
- Fixed symlinks and rpmlint warnings

* Wed Mar 29 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-3
- Changed release tag

* Wed Mar 29 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-2
- Changed post/postun , lang part & buildrequires

* Sun Mar 26 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-1
- initial release
